{namespace lr=KayStrobach\Lightroom\ViewHelpers}

<style type="text/css">
    .lightroom-heading {
        text-overflow: ellipsis;

        /* Required for text-overflow to do anything */
        white-space: nowrap;
        overflow: hidden;
        max-width: 90%;
    }

    .cards-lightroom > .card {
        position:relative;

    }
</style>

<h3 class="lightroom-heading">{folder.storage.name}{folder.identifier}</h3>

<div class="card-container cards-lightroom">
    <f:for each="{folder.files}" as="file" iteration="iteration">
        <div class="card card-size-fixed-small">
            <a href="#" data-close="1" data-file-index="{iteration.index}">
                <lr:thumbnail image="{file}" size="300" />
            </a>
        </div>
    </f:for>
</div>
